--- old/usr/src/lib/libsecdb/common/i.rbac	2013-05-27 09:45:29.646011677 +0000
+++ new/usr/src/lib/libsecdb/common/i.rbac	2013-05-27 09:45:29.658809844 +0000
@@ -49,7 +49,7 @@
 cp_cmd=cp
 egrep_cmd=egrep
 mv_cmd=mv
-nawk_cmd=nawk
+awk_cmd=/usr/xpg4/bin/awk
 rm_cmd=rm
 sed_cmd=sed
 sort_cmd=sort
@@ -59,7 +59,7 @@
 # $3 is the "new (to be merged)" file
 # $4 is the output file
 # returns 0 on success
-# returns 2 on failure if nawk fails with non-zero exit status
+# returns 2 on failure if awk fails with non-zero exit status
 #
 dbmerge() {
 #
@@ -153,21 +153,21 @@
  	    -e '/\\$/{N;s/\\\n//;}'  -e '/\\$/{N;s/\\\n//;}' \
  	    $3 > $4.new
 #
-# The nawk script below processes the old and new files using up to
+# The awk script below processes the old and new files using up to
 # three passes.  If the old file is empty, only the final pass over
 # the new file is required.
 #
 	if [ -s $4.old ]; then
-		nawk_pass1=$4.old
-		nawk_pass2=$4.new
-		nawk_pass3=$4.new
+		awk_pass1=$4.old
+		awk_pass2=$4.new
+		awk_pass3=$4.new
 	else
-		nawk_pass1=
-		nawk_pass2=
-		nawk_pass3=$4.new
+		awk_pass1=
+		awk_pass2=
+		awk_pass3=$4.new
 	fi
 #
-#!/usr/bin/nawk -f
+#!/usr/xpg4/bin/awk -f
 #
 #       dbmerge type=[auth|prof|user|exec] [ old-file new-file ] new-file
 #
@@ -198,7 +198,7 @@
 #	which will appear first in the output.
 #
 #
-	$nawk_cmd  '
+	$awk_cmd  '
 
 # This script may be invoked with up to three file names.  Each file
 # name corresponds to a separate processing pass.  The passes are
@@ -234,7 +234,7 @@
 	FS=":"
 }
 
-# When FNR (current file record number) is 1 it indicates that nawk
+# When FNR (current file record number) is 1 it indicates that awk
 # is starting to read the next file specified on its command line,
 # and is beginning the next processing pass.
 FNR == 1 {
@@ -242,15 +242,15 @@
 }
 
 /^#/ || /^$/ {
-	continue;
+	next;
 }
 
 {
-	# For each input line, nawk automatically assigns the complete
+	# For each input line, awk automatically assigns the complete
 	# line to $0 and also splits the line at field separators and
 	# assigns each field to a variable $1..$n.  Assignment to $0
 	# re-splits the line into the field variables.  Conversely,
-	# assgnment to a variable $1..$n will cause $0 to be recomputed
+	# assignment to a variable $1..$n will cause $0 to be recomputed
 	# from the field variable values.
 	#
 	# This code adds awareness of escaped field separators by using
@@ -420,7 +420,7 @@
 	return keyword "=" unsplit(list, cnt, ",");
 }
 
-# This function is similar to the nawk built-in split() function,
+# This function is similar to the awk built-in split() function,
 # except that a "\" character may be used to escape any subsequent
 # character, so that the escaped character will not be treated as a
 # field separator or as part of a field separator regular expression.
@@ -471,7 +471,7 @@
 		str = str delim list[i];
 	return str;
 }' \
-	type=$1 $nawk_pass1 $nawk_pass2 $nawk_pass3 > $4.unsorted
+	type=$1 $awk_pass1 $awk_pass2 $awk_pass3 > $4.unsorted
 	rc=$?
 	$sort_cmd < $4.unsorted >> $4
 	return $rc
